﻿<UserControl x:Class="MobyusTouch.src.View.PanelSetting"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:MobyusTouch.src.View"
             xmlns:ports="clr-namespace:System.IO.Ports;assembly=System"
             mc:Ignorable="d" 
             d:DesignHeight="650" Width="922">

    <UserControl.Resources>
        <ObjectDataProvider ObjectType="{x:Type ports:SerialPort}" MethodName="GetPortNames" x:Key="portNames"/>
        <ObjectDataProvider ObjectType="{x:Type ports:StopBits}" x:Key="StopBits"/>
        <ObjectDataProvider ObjectType="{x:Type ports:Parity}" x:Key="Parity"/>

    </UserControl.Resources>

    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="100*"/>
            <ColumnDefinition Width="100*"/>
            <ColumnDefinition Width="100*"/>
            <ColumnDefinition Width="100*"/>
            <ColumnDefinition Width="100*"/>
            <ColumnDefinition Width="100*"/>
            <ColumnDefinition Width="100*"/>
            <ColumnDefinition Width="100*"/>
        </Grid.ColumnDefinitions>
        <Grid.RowDefinitions>
            <RowDefinition Height="50*"/>
            <RowDefinition Height="100*"/>
            <RowDefinition Height="100*"/>
            <RowDefinition Height="100*"/>
            <RowDefinition Height="100*"/>
            <RowDefinition Height="100*"/>
            <RowDefinition Height="100*"/>
        </Grid.RowDefinitions>
        <Grid Grid.Row="0" Grid.Column="0" Grid.ColumnSpan="8" >
            <Label Name="Setting" Content="Setting" Foreground="Black" FontSize="28" FontWeight="Bold" Margin="10,0,0,0"/>
        </Grid>
        <Grid Grid.Row="1" Grid.RowSpan="6"  Grid.Column="0" Grid.ColumnSpan="8"  Margin="20,30,0,0" HorizontalAlignment="Left" Width="928" >
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="49*"/>
                <ColumnDefinition Width="225*"/>
                <ColumnDefinition Width="122*"/>
                <ColumnDefinition Width="277*"/>
                <ColumnDefinition Width="277*"/>
            </Grid.ColumnDefinitions>
            <TabControl MinWidth="950" Margin="0,-34,34.585,47" Grid.ColumnSpan="5" RenderTransformOrigin="0.5,0.5">
                <TabControl.RenderTransform>
                    <TransformGroup>
                        <ScaleTransform/>
                        <SkewTransform AngleX="-0.409"/>
                        <RotateTransform/>
                        <TranslateTransform X="-1.993"/>
                    </TransformGroup>
                </TabControl.RenderTransform>
                <TabItem>
                    <TabItem.Header>
                        <StackPanel Orientation="Horizontal">
                            <TextBlock Text="HMI" Foreground="Black" VerticalAlignment="Center" FontSize="14" Width="100" Height="30"/>
                        </StackPanel>
                    </TabItem.Header>
                    <Grid Margin="0,0,91,0">
                        <Grid.ColumnDefinitions>
                            <ColumnDefinition Width="395*"/>
                            <ColumnDefinition Width="21*"/>
                            <ColumnDefinition Width="528*"/>
                        </Grid.ColumnDefinitions>
                        <Grid.RowDefinitions>
                            <RowDefinition Height="70"/>
                            <RowDefinition Height="70"/>
                            <RowDefinition Height="70"/>
                            <RowDefinition Height="70"/>
                            <RowDefinition Height="70"/>
                            <RowDefinition Height="70"/>
                            <RowDefinition Height="70"/>
                            <RowDefinition Height="*"/>
                        </Grid.RowDefinitions>
                        <GroupBox Header="1. NAVI(RS232)" FontSize="12" Margin="10,10,10,10" Grid.Row="0" Grid.Column="0" Grid.ColumnSpan="3">
                            <StackPanel Orientation="Horizontal">
                                <Label Content="PortName"/>
                                <ComboBox Name="comboBoxPort" ItemsSource="{Binding Source={StaticResource portNames}}" Width="70" SelectedIndex="0"/>

                                <Label Content="BaudRate"/>
                                <ComboBox Name="comboBoxBaudRate" Width="70">
                                    <ComboBoxItem Content="9600"/>
                                    <ComboBoxItem Content="19200"/>
                                    <ComboBoxItem Content="38400"/>
                                    <ComboBoxItem Content="57600"/>
                                    <ComboBoxItem Content="115200"/>
                                </ComboBox>

                                <Label Content="Data"/>
                                <ComboBox Name="comboBoxDataBits" Width="70">
                                    <ComboBoxItem Content="5"/>
                                    <ComboBoxItem Content="6"/>
                                    <ComboBoxItem Content="7"/>
                                    <ComboBoxItem Content="8"/>
                                </ComboBox>

                                <Label Content="Stop Bit"/>
                                <ComboBox Name="comboBoxStopBits" ItemsSource="{Binding Source={StaticResource StopBits}}" Width="70">
                                    <ComboBoxItem Content="0"/>
                                    <ComboBoxItem Content="1"/>
                                    <ComboBoxItem Content="2"/>
                                    <ComboBoxItem Content="3"/>
                                </ComboBox>


                                <Label Content="Parity Bit"/>
                                <ComboBox Name="comboBoxParity" ItemsSource="{Binding Source={StaticResource Parity}}" Width="70" SelectedIndex="1" >
                                    <ComboBoxItem Content="0"/>
                                    <ComboBoxItem Content="1"/>
                                    <ComboBoxItem Content="2"/>
                                    <ComboBoxItem Content="3"/>
                                    <ComboBoxItem Content="4"/>
                                </ComboBox>

                                <Button Name="btnConnectControlBoard" Margin="10,0,0,0" Width="80" Click="btnConnectControlBoard_Click">Connect</Button>
                                <Button Name="btnDisConnectControlBoard" Margin="10,0,0,0" Width="80" Click="btnDisConnectControlBoard_Click">Disconnect</Button>
                            </StackPanel>
                        </GroupBox>

                        <GroupBox Header="2. ACS(MQTT)" FontSize="12" Margin="10,10,10,10" Grid.Row="1" Grid.Column="0" Grid.ColumnSpan="3">
                            <StackPanel Orientation="Horizontal" Margin="0,5,0,0">
                                <Label Content="IP"/>
                                <TextBox Name="ipACS1" Width="70" TextAlignment="Right" VerticalContentAlignment="Center"/>
                                <Label Content="."></Label>
                                <TextBox Name="ipACS2" Width="70" TextAlignment="Right" VerticalContentAlignment="Center"/>
                                <Label Content="."></Label>
                                <TextBox Name="ipACS3" Width="70" TextAlignment="Right" VerticalContentAlignment="Center"/>
                                <Label Content="."></Label>
                                <TextBox Name="ipACS4" Width="70" TextAlignment="Right" VerticalContentAlignment="Center"/>

                                <Label Content="PORT"/>
                                <TextBox Name="portACS" Width="70" TextAlignment="Right" VerticalContentAlignment="Center"/>

                                <Button Name="BtnConnectACS" Click="BtnConnectACS_Click" Margin="10,0,0,0" Width="80" Height="22" VerticalAlignment="Bottom" >Connect</Button>
                                <Button Name="BtnDisconnectACS" Click="BtnDisconnectACS_Click" Margin="10,0,0,0" Width="80" >Disconnect</Button>
                                <Button x:Name="IgnoreACS" Click="IgnoreACS_Click" Margin="10,0,0,0" Width="80" Content="Ignore" />

                            </StackPanel>
                        </GroupBox>

                        <GroupBox Header="3. Charging" FontSize="12" Margin="10,10,10,10" Grid.Row="2" Grid.Column="0" Grid.ColumnSpan="3">
                            <StackPanel Orientation="Horizontal" Margin="0,5,0,0">
                                <Label Content="Status"/>
                                <Label Name="StatusCharge" Width="70"/>
                                <Label Content="Battery"/>
                                <Label Name="ChargeBattery" Width="70"/>

                                <Button Name="BtnConnectCharge" Click="BtnConnectCharge_Click" Margin="10,0,0,0" Width="80" >Connect</Button>
                                <Button Name="BtnDIsconnectCharge" Click="BtnDIsconnectCharge_Click" Margin="10,0,0,0" Width="80" >Disconnect</Button>
                            </StackPanel>
                        </GroupBox>

                        <GroupBox Header="4. Information" FontSize="12" Margin="10,10,10,10" Grid.Row="3" Grid.Column="0" Grid.ColumnSpan="3">
                            <StackPanel Orientation="Horizontal">
                                <Label Content="Setting File"/>
                                <Label Name="SettingFileLocation" Content="" Width="300"/>
                                <Label Content="Map File"/>
                                <Label Name="MapFileLocation" Content="" Width="300"/>
                            </StackPanel>
                        </GroupBox>


                        <GroupBox Header="5. Sensor State Check" FontSize="12" Margin="10,10,10,10" Grid.Row="4" Grid.Column="0" Grid.ColumnSpan="3">
                            <StackPanel Orientation="Horizontal" Margin="0,5,0,0">

                                <Button Name="BtnSensorCheck" Click="BtnSensorCheck_Click"  Margin="10,0,0,0" Width="80" >Check</Button>
                            </StackPanel>
                        </GroupBox>


                        <GroupBox Header="6. Manual Complete" FontSize="12" Margin="10,10,10,10" Grid.Row="5" Grid.Column="0" Grid.ColumnSpan="3">
                            <StackPanel Orientation="Horizontal" Margin="0,5,0,0">
                                <Button Name="BtnManualComplete" Click="BtnManualComplete_Click"  Margin="10,0,0,0" Width="80" >Send</Button>
                            </StackPanel>
                        </GroupBox>

                        <GroupBox Header="7. Force Complete" FontSize="12" Margin="10,10,10,10" Grid.Row="6" Grid.Column="0" Grid.ColumnSpan="3">
                            <StackPanel Orientation="Horizontal" Margin="0,5,0,0">
                                <Button Name="BtnForceComplete" Click="BtnForceComplete_Click" Margin="10,0,0,0" Width="80" >Send</Button>
                            </StackPanel>
                        </GroupBox>

                    </Grid>
                </TabItem>
                <TabItem>
                    <TabItem.Header>
                        <StackPanel Orientation="Horizontal">
                            <TextBlock Text="Recognition" Foreground="Black" VerticalAlignment="Center" FontSize="14" Width="100" Height="30"/>
                        </StackPanel>
                    </TabItem.Header>
                    <Grid Margin="0,28,0,-30" HorizontalAlignment="Left" Width="940">
                        <Grid.ColumnDefinitions>
                            <ColumnDefinition Width="100*"/>
                        </Grid.ColumnDefinitions>
                        <Grid.RowDefinitions>
                            <RowDefinition Height="110"/>
                            <RowDefinition Height="75"/>
                            <RowDefinition Height="75"/>
                            <RowDefinition Height="75"/>
                            <RowDefinition Height="75"/>
                            <RowDefinition Height="*"/>
                        </Grid.RowDefinitions>

                        <GroupBox Header="1. Camera Parameter" FontSize="12" Margin="10,10,10,10" Grid.Row="0" Grid.Column="0">
                            <Grid>
                                <Grid.ColumnDefinitions>
                                    <ColumnDefinition Width="228*"/>
                                    <ColumnDefinition Width="228*"/>
                                    <ColumnDefinition Width="228*"/>
                                    <ColumnDefinition Width="221*"/>
                                    <ColumnDefinition Width="7*"/>
                                </Grid.ColumnDefinitions>
                                <Grid.RowDefinitions>
                                    <RowDefinition Height="*"/>
                                    <RowDefinition Height="*"/>
                                </Grid.RowDefinitions>

                                <StackPanel Orientation="Horizontal" Margin="-2,5,0,0" Grid.Row="0" Grid.Column="0" HorizontalAlignment="Right">
                                    <Label Content="Min Distance(0 ~ 8000mm)"/>
                                    <TextBox Name="RecognitionMinDistance" Width="70" Text="0" TextAlignment="Right" VerticalContentAlignment="Center"/>
                                </StackPanel>
                                <StackPanel Orientation="Horizontal" Margin="0,5,0,0" Grid.Row="0" Grid.Column="1" HorizontalAlignment="Right">
                                    <Label Content="Receiver Gain(0 ~ 10)"/>
                                    <TextBox Name="RecognitionReceiverGain" Width="70" Text="0" TextAlignment="Right" VerticalContentAlignment="Center"/>
                                </StackPanel>
                                <StackPanel Orientation="Horizontal" Margin="0,5,0,0" Grid.Row="0" Grid.Column="2" HorizontalAlignment="Right">
                                    <Label Content="Pre Sharpening(0 ~ 5)"/>
                                    <TextBox Name="RecognitionPreSharpening" Width="70" Text="0" TextAlignment="Right" VerticalContentAlignment="Center"/>
                                </StackPanel>
                                <StackPanel Orientation="Horizontal" Margin="0,5,0,0" Grid.Row="0" Grid.Column="4" HorizontalAlignment="Right"/>
                                <StackPanel Orientation="Horizontal" Margin="0,5,0,0" Grid.Row="1" Grid.Column="0" HorizontalAlignment="Right">
                                    <Label Content="Confidence(0 ~ 3)"/>
                                    <TextBox Name="RecognitionConfidence" Width="70" Text="0" TextAlignment="Right" VerticalContentAlignment="Center"/>
                                </StackPanel>
                                <StackPanel Orientation="Horizontal" Margin="0,5,0,0" Grid.Row="1" Grid.Column="1" HorizontalAlignment="Right">
                                    <Label Content="Noise Filtering(0 ~ 6)"/>
                                    <TextBox Name="RecognitionNoiseFiltering" Width="70" Text="0" TextAlignment="Right" VerticalContentAlignment="Center"/>
                                </StackPanel>
                                <Label Content="Post Sharpening(0 ~ 3)" Grid.Column="2" Margin="21,5,70,-1" Grid.Row="1"/>
                                <TextBox x:Name="RecognitionPostSharpening" Text="0" TextAlignment="Right" VerticalContentAlignment="Center" Grid.Column="2" Margin="158,5,0,-1" Grid.Row="1"/>
                            </Grid>
                        </GroupBox>

                        <GroupBox Header="2. Recognition Parameter" FontSize="12" Margin="10,10,10,10" Grid.Row="1" Grid.Column="0">
                            <Grid>
                                <Grid.ColumnDefinitions>
                                    <ColumnDefinition Width="*"/>
                                    <ColumnDefinition Width="*"/>
                                    <ColumnDefinition Width="*"/>
                                    <ColumnDefinition Width="*"/>
                                </Grid.ColumnDefinitions>
                                <Grid.RowDefinitions>
                                    <RowDefinition Height="*"/>
                                </Grid.RowDefinitions>

                                <StackPanel Orientation="Horizontal" Margin="0,5,0,0" Grid.Row="0" Grid.Column="0" HorizontalAlignment="Right">
                                    <Label Content="Up Distance(0 ~ 255cm)"/>
                                    <TextBox Name="RecognitionPalletDistanceUp" Width="70" Text="0" TextAlignment="Right" VerticalContentAlignment="Center"/>
                                </StackPanel>
                                <StackPanel Orientation="Horizontal" Margin="0,5,0,0" Grid.Row="0" Grid.Column="1" HorizontalAlignment="Right">
                                    <Label Content="Down Distance(0 ~ 255cm)"/>
                                    <TextBox Name="RecognitionPalletDistanceDown" Width="70" Text="0" TextAlignment="Right" VerticalContentAlignment="Center"/>
                                </StackPanel>
                            </Grid>
                        </GroupBox>

                        <GroupBox FontSize="12" Margin="10,10,10,10" Grid.Row="2" Grid.Column="0" BorderThickness="0">
                            <StackPanel Orientation="Horizontal" Margin="0,5,0,0">
                                <Button x:Name="BtnReconitionUpdate" Click="BtnRecognitionUpdate_Click" Margin="10,58,0,-58" Width="80" Content="Send" />

                            </StackPanel>
                        </GroupBox>

                        <GroupBox Header="3. Camera Motor Parameter" FontSize="12" Margin="10,68,10,27" Grid.Row="3" Grid.Column="0" Grid.RowSpan="2">
                            <Grid>
                                <Grid.ColumnDefinitions>
                                    <ColumnDefinition Width="*"/>
                                    <ColumnDefinition Width="*"/>
                                    <ColumnDefinition Width="*"/>
                                    <ColumnDefinition Width="*"/>
                                </Grid.ColumnDefinitions>
                                <Grid.RowDefinitions>
                                    <RowDefinition Height="*"/>
                                </Grid.RowDefinitions>

                                <StackPanel Orientation="Horizontal" Margin="0,5,0,0" Grid.Row="0" Grid.Column="0" HorizontalAlignment="Right">
                                    <Label Content="Left Camera(21도)"/>
                                    <TextBox Name="RecognitionCameraLeft" Width="70" Text="0" TextAlignment="Right" VerticalContentAlignment="Center"/>
                                    <Label Name="RecognitionCameraLeftValue" Content=""/>
                                </StackPanel>
                                <StackPanel Orientation="Horizontal" Margin="0,5,0,0" Grid.Row="0" Grid.Column="1" HorizontalAlignment="Right">
                                    <Label Content="Right Camera(-9도)"/>
                                    <TextBox Name="RecognitionCameraRight" Width="70" Text="0" TextAlignment="Right" VerticalContentAlignment="Center"/>
                                    <Label Name="RecognitionCameraRightValue" Content=""/>
                                </StackPanel>
                            </Grid>
                        </GroupBox>
                        <GroupBox FontSize="12" Margin="10,68,10,80" Grid.Row="4" Grid.Column="0" BorderThickness="0" Grid.RowSpan="2">
                            <StackPanel Orientation="Horizontal" Margin="0,5,0,0">
                                <Button Name="BtnReconitionCameraUpdate" Click="BtnReconitionCameraUpdate_Click" Margin="10,0,0,0" Width="80" >Update</Button>
                            </StackPanel>
                        </GroupBox>
                        <GroupBox Header="4. Obstacle Parameter" FontSize="12" Margin="10" Grid.Row="2" Grid.Column="0">
                            <Grid>
                                <Grid.ColumnDefinitions>
                                    <ColumnDefinition Width="*"/>
                                    <ColumnDefinition Width="*"/>
                                    <ColumnDefinition Width="*"/>
                                    <ColumnDefinition Width="*"/>
                                </Grid.ColumnDefinitions>
                                <Grid.RowDefinitions>
                                    <RowDefinition Height="*"/>
                                </Grid.RowDefinitions>

                                <StackPanel Orientation="Horizontal" Margin="0,5,0,0" Grid.Row="0" Grid.Column="0" HorizontalAlignment="Right">
                                    <Label Content="Distance_X(0 ~ 65535mm)"/>
                                    <TextBox x:Name="Obstacle_X" Width="70" Text="0" TextAlignment="Right" VerticalContentAlignment="Center"/>
                                </StackPanel>
                                <StackPanel Orientation="Horizontal" Margin="0,5,0,0" Grid.Row="0" Grid.Column="1" HorizontalAlignment="Right">
                                    <Label Content="Distance_Y(0 ~ 65535mm)"/>
                                    <TextBox x:Name="Obstacle_Y" Width="70" Text="0" TextAlignment="Right" VerticalContentAlignment="Center"/>
                                </StackPanel>
                            </Grid>
                        </GroupBox>
                    </Grid>
                </TabItem>

                <TabItem>
                    <TabItem.Header>
                        <StackPanel Orientation="Horizontal">
                            <TextBlock Text="Vehicle" Foreground="Black" VerticalAlignment="Center" FontSize="14" Width="100" Height="30"/>
                        </StackPanel>
                    </TabItem.Header>
                    <Grid Margin="0,0,52,0">
                        <Grid.ColumnDefinitions>
                            <ColumnDefinition Width="25*"/>
                            <ColumnDefinition Width="93*"/>
                        </Grid.ColumnDefinitions>
                        <Grid.RowDefinitions>
                            <RowDefinition Height="75"/>
                            <RowDefinition Height="75"/>
                            <RowDefinition Height="75"/>
                            <RowDefinition Height="75"/>
                            <RowDefinition Height="*"/>
                        </Grid.RowDefinitions>

                        <GroupBox Header="1. Stacking Parameter" FontSize="12" Margin="10,10,10,10" Grid.Row="0" Grid.Column="0" Grid.ColumnSpan="2">
                            <Grid>
                                <Grid.ColumnDefinitions>
                                    <ColumnDefinition Width="*"/>
                                    <ColumnDefinition Width="*"/>
                                    <ColumnDefinition Width="*"/>
                                    <ColumnDefinition Width="*"/>
                                </Grid.ColumnDefinitions>
                                <Grid.RowDefinitions>
                                    <RowDefinition Height="*"/>
                                </Grid.RowDefinitions>
                                <StackPanel Orientation="Horizontal" Margin="0,5,0,0" Grid.Row="0" Grid.Column="0" HorizontalAlignment="Right">
                                    <Label Content="Stacking Angle"/>
                                    <TextBox Name="VehicleStackingAngle" Width="70" Text="0" TextAlignment="Right" VerticalContentAlignment="Center"/>
                                </StackPanel>
                                <StackPanel Orientation="Horizontal" Margin="0,5,0,0" Grid.Row="0" Grid.Column="1" HorizontalAlignment="Right">
                                    <Label Content="Stacking Stop Distance"/>
                                    <TextBox Name="VehicleStackingDistance" Width="70" Text="0" TextAlignment="Right" VerticalContentAlignment="Center"/>
                                </StackPanel>
                            </Grid>
                        </GroupBox>

                        <GroupBox Header="2. Driving Parameter" FontSize="12" Margin="10,10,10,10" Grid.Row="1" Grid.Column="0" Grid.ColumnSpan="2">
                            <Grid>
                                <Grid.ColumnDefinitions>
                                    <ColumnDefinition Width="*"/>
                                    <ColumnDefinition Width="*"/>
                                    <ColumnDefinition Width="*"/>
                                    <ColumnDefinition Width="*"/>
                                </Grid.ColumnDefinitions>
                                <Grid.RowDefinitions>
                                    <RowDefinition Height="*"/>
                                </Grid.RowDefinitions>
                                <StackPanel Orientation="Horizontal" Margin="0,5,0,0" Grid.Row="0" Grid.Column="0" HorizontalAlignment="Right">
                                    <Label Content="Vehicle Min Speed"/>
                                    <TextBox Name="VehicleMinSpeed" Width="70" Text="0" TextAlignment="Right" VerticalContentAlignment="Center"/>
                                </StackPanel>
                                <StackPanel Orientation="Horizontal" Margin="0,5,0,0" Grid.Row="0" Grid.Column="1" HorizontalAlignment="Right">
                                    <Label Content="Vehicle Max Speed"/>
                                    <TextBox Name="VehicleMaxSpeed" Width="70" Text="0" TextAlignment="Right" VerticalContentAlignment="Center"/>
                                </StackPanel>
                            </Grid>
                        </GroupBox>

                        <GroupBox FontSize="12" Margin="10,10,10,10" Grid.Row="2" Grid.Column="0" BorderThickness="0" Grid.ColumnSpan="2">
                            <StackPanel Orientation="Horizontal" Margin="0,5,0,0">
                                <Button Name="BtnVehicleUpdate" Click="BtnVehicleUpdate_Click" Margin="10,0,0,0" Width="80" >Update</Button>
                                <Button x:Name="BtnVehicleLogUpdate" Click="BtnVehicleLogUpdate_Click" Margin="10,0,0,0" Width="80" Content="Send_Log" />
                            </StackPanel>
                        </GroupBox>


                    </Grid>
                </TabItem>

                <TabItem>
                    <TabItem.Header>
                        <StackPanel Orientation="Horizontal">
                            <TextBlock Text="Work" Foreground="Black" VerticalAlignment="Center" FontSize="14" Width="100" Height="30"/>
                        </StackPanel>
                    </TabItem.Header>
                    <Grid>
                        <Grid.ColumnDefinitions>
                            <ColumnDefinition Width="605*"/>
                            <ColumnDefinition Width="161*"/>
                            <ColumnDefinition Width="178*"/>
                        </Grid.ColumnDefinitions>
                        <Grid.RowDefinitions>
                            <RowDefinition Height="75"/>
                            <RowDefinition Height="75"/>
                            <RowDefinition Height="75"/>
                            <RowDefinition Height="75"/>
                            <RowDefinition Height="*"/>
                        </Grid.RowDefinitions>


                        <GroupBox Header="1. Work List Information" FontSize="12" Margin="0,0,0,0" Grid.Row="0" Grid.Column="0" Grid.ColumnSpan="1">
                            <ListView Name="worklisInfoView" HorizontalAlignment="Left" Height="40" Margin="0,5,-2,0" VerticalAlignment="Top" Width="595">
                                <ListView.View>
                                    <GridView>
                                        <GridViewColumn Header="ID" DisplayMemberBinding="{Binding worklist_id}" Width="100"/>
                                        <GridViewColumn Header="WORK" DisplayMemberBinding="{Binding worklist_work}" Width="80"/>
                                        <GridViewColumn Header="PALLET ID" DisplayMemberBinding="{Binding worklist_palleteid}" Width="80"/>
                                        <GridViewColumn Header="LEVEL" DisplayMemberBinding="{Binding worklist_level}" Width="80"/>
                                        <GridViewColumn Header="NODE" DisplayMemberBinding="{Binding worklist_node}" Width="80"/>
                                        <GridViewColumn Header="LINK TYPE" DisplayMemberBinding="{Binding worklist_link_type}" Width="80"/>
                                        <GridViewColumn Header="CNT" DisplayMemberBinding="{Binding worklist_cnt}" Width="80"/>

                                    </GridView>
                                </ListView.View>
                            </ListView>
                        </GroupBox>

                        <GroupBox Header="2. Pallete Information" FontSize="12" Margin="0
                                  ,0,0,0" Grid.Row="1" Grid.Column="0" Grid.ColumnSpan="1">
                            <ListView HorizontalAlignment="Left" Height="40" Margin="0,5,-2,0" VerticalAlignment="Top" Width="595">
                                <ListView.View>
                                    <GridView>
                                        <GridViewColumn Header="NAME" DisplayMemberBinding="{Binding pallete_name}" Width="150"/>
                                        <GridViewColumn Header="WIDTH" DisplayMemberBinding="{Binding pallete_width}" Width="90"/>
                                        <GridViewColumn Header="HEIGHT" DisplayMemberBinding="{Binding pallete_height}" Width="90"/>
                                        <GridViewColumn Header="LENGTH" DisplayMemberBinding="{Binding pallete_length}" Width="90"/>
                                        <GridViewColumn Header="HOLE" DisplayMemberBinding="{Binding pallete_hole}" Width="90"/>
                                    </GridView>
                                </ListView.View>
                            </ListView>
                        </GroupBox>

                        <GroupBox  Header="3. Parameter" FontSize="12" Margin="0,61,0,0" Grid.Row="1" Grid.RowSpan="4" Grid.Column="0" Grid.ColumnSpan="1">
                            <Grid Margin="0,0,0,10">
                                <Grid.ColumnDefinitions>
                                    <ColumnDefinition Width="*"/>
                                    <ColumnDefinition Width="*"/>
                                    <ColumnDefinition Width="*"/>
                                    <ColumnDefinition Width="*"/>
                                    <ColumnDefinition Width="*"/>
                                </Grid.ColumnDefinitions>
                                <Grid.RowDefinitions>
                                    <RowDefinition Height="290"/>
                                    <RowDefinition Height="*"/>
                                </Grid.RowDefinitions>
                                <ListView  Name="paramListView" SelectionChanged="paramListView_SelectionChanged"  HorizontalAlignment="Left"  Margin="0,5,0,0" VerticalAlignment="Top" Width="593" Height="285" Grid.Row ="0" Grid.ColumnSpan="5">
                                    <ListView.View>
                                        <GridView>
                                            <GridViewColumn Header="LIST" DisplayMemberBinding="{Binding param_name}" Width="210"/>
                                            <GridViewColumn Header="VALUE" DisplayMemberBinding="{Binding param_value}" Width="80"/>
                                            <GridViewColumn Header="SLEEP" DisplayMemberBinding="{Binding param_sleep}" Width="80"/>
                                            <GridViewColumn Header="SYNC" DisplayMemberBinding="{Binding param_sync}" Width="80"/>
                                            <GridViewColumn Header="TIME" DisplayMemberBinding="{Binding param_time}" Width="80"/>
                                        </GridView>
                                    </ListView.View>
                                </ListView>

                                <Button Name="BtnAddWorkParam" Click="BtnAddWorkParam_Click" Margin="10,7,9,0" Width="100" Grid.Column="0" Grid.ColumnSpan="1" Grid.Row="1" >Add</Button>
                                <Button Name="BtnEditWorkParam" Click="BtnEditWorkParam_Click" Margin="9,7,10,0" Width="100" Grid.Column="1" Grid.ColumnSpan="1" Grid.Row="1">Edit</Button>
                                <Button Name="BtnDelWorkParam" Click="BtnDelWorkParam_Click" Margin="19,7,0,0" Width="100" Grid.Column="2" Grid.ColumnSpan="1" Grid.Row="1">Delete</Button>
                                <Button Name="BtnIndexUpWorkParam" Click="BtnIndexUpWorkParam_Click"  Margin="10,7,9,0" Width="100" Grid.Column="3" Grid.ColumnSpan="1" Content="↑" Grid.Row="1"/>
                                <Button Name="BtnIndexDownWorkParam" Click="BtnIndexDownWorkParam_Click"  Margin="7,6,12,1" Width="100" Grid.Column="4" Grid.ColumnSpan="1" Content="↓" Grid.Row="1"/>

                            </Grid>
                        </GroupBox>

                        <GroupBox Header="4. Work List File" FontSize="12" Grid.Row="0" Grid.RowSpan="5" Grid.Column ="1" Grid.ColumnSpan ="2" Margin="0,0,57,0" >
                            <Grid Margin="0,0,76,0">
                                <Grid.ColumnDefinitions>
                                    <ColumnDefinition Width="1.5*"/>
                                    <ColumnDefinition Width="*"/>
                                </Grid.ColumnDefinitions>
                                <Grid.RowDefinitions>
                                    <RowDefinition Height="75"/>
                                    <RowDefinition Height="75"/>
                                    <RowDefinition Height="75"/>
                                    <RowDefinition Height="75"/>
                                    <RowDefinition Height="*"/>
                                </Grid.RowDefinitions>

                                <ListView Name="worklisFilesListView" HorizontalAlignment="Left"  Margin="0,5,0,0" VerticalAlignment="Top" Width="184" Height="477"
                                       SelectionChanged="worklisFilesListView_SelectionChanged" Grid.RowSpan ="5" Grid.ColumnSpan="2">
                                    <ListView.View>
                                        <GridView>
                                            <GridViewColumn Header="FILE LIST" DisplayMemberBinding="{Binding fileName}" Width="190"/>
                                        </GridView>
                                    </ListView.View>
                                </ListView>

                                <Button Name="BtnNewWorkList" Click="BtnNewWorkList_Click" Margin="75,5,-76,15" Grid.Row="0" Grid.RowSpan="1" Grid.Column="1" >New</Button>
                                <Button Name="BtnSaveWorkList" Click="BtnSaveWorkList_Click" Margin="75,10,-76,10" Grid.Row="1" Grid.RowSpan="1" Grid.Column="1" >Save</Button>
                                <Button Name="BtnDeleteWorkList" Click="BtnDeleteWorkList_Click" Margin="75,10,-76,10" Grid.Row="2" Grid.RowSpan="1" Grid.Column="1" >Delete</Button>

                            </Grid>

                        </GroupBox>

                    </Grid>
                </TabItem>
                <Button x:Name="BtnReconitionCanOnOff_Copy" Click="BtnRecognitionUpdate_Click" Margin="10,0,-1000,0" Width="80" Content="Connect" Height="43" />
            </TabControl>
        </Grid>
    </Grid>
</UserControl>

    
    